package nc.vo.arap.nc63.gathering;

import nc.vo.pub.SuperVO;
/**
 * @Description: 
 * 		【拉取NC633内转收[F4-Cxx-2 内部单位转账（收方）]->NCC收款单[F2-Cxx-01 收款单（内转）]】
 * @author 谢文如 【碧桂园物业NCC】
 * @date 2020-11-23
 * @version with NCC V2005
 */
public class CMPRecBillVO_NC63 extends SuperVO{
	
	private static final long serialVersionUID = 1L;
	private String pk_recbill;
	private String pk_org; /*财务组织*/
	private String def2; /*流程标题*/
	private String trade_type; /*收款交易类型*/
	private String bill_no; /*单据编号*/
	private String bill_status; /*单据状态*/
	private String effect_flag; /*生效状态*/
	private String bill_date; /*单据日期*/
	private String local_rate; /*组织本币汇率*/
	private String def29; /*备注*/
	private String settledate; /*结算日期*/
	private String nc63ts;/*63ts*/
	private String msg;/*生成状态*/
	private String state;/*生成状态*/
	private String ts;
	
	public String getPk_recbill() {
		return pk_recbill;
	}

	public void setPk_recbill(String pk_recbill) {
		this.pk_recbill = pk_recbill;
	}

	public String getPk_org() {
		return pk_org;
	}

	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getTrade_type() {
		return trade_type;
	}

	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public String getBill_status() {
		return bill_status;
	}

	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
	}

	public String getEffect_flag() {
		return effect_flag;
	}

	public void setEffect_flag(String effect_flag) {
		this.effect_flag = effect_flag;
	}

	public String getBill_date() {
		return bill_date;
	}

	public void setBill_date(String bill_date) {
		this.bill_date = bill_date;
	}

	public String getLocal_rate() {
		return local_rate;
	}

	public void setLocal_rate(String local_rate) {
		this.local_rate = local_rate;
	}

	public String getDef29() {
		return def29;
	}

	public void setDef29(String def29) {
		this.def29 = def29;
	}

	public String getSettledate() {
		return settledate;
	}

	public void setSettledate(String settledate) {
		this.settledate = settledate;
	}

	public String getNc63ts() {
		return nc63ts;
	}

	public void setNc63ts(String nc63ts) {
		this.nc63ts = nc63ts;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public java.lang.String getPKFieldName() {
		return "pk_recbill";
	}

	public java.lang.String getTableName() {
		return "nc63_cmp_recbill";
	}
	
}
